%global srcname conda-libmamba-solver

Name:           python-%{srcname}
Version:        23.9.3
Release:        1%{?dist}
Summary:        The libmamba based solver for conda

License:        BSD-3-Clause
URL:            https://github.com/conda/conda-libmamba-solver
Source:         %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch / BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-conda-index
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock

%global _description %{expand:
conda-libmamba-solver is a new solver for the conda package manager which
uses the solver from the mamba project behind the scenes, while carefully
implementing conda's functionality and expected behaviors on top. The
library used by mamba to do the heavy-lifting is called libsolv.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i -e '/tool.hatch.version/afallback-version = "%{version}"' pyproject.toml
sed -i -e '/doctest/d' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files conda_libmamba_solver


%check
%pytest -v


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.*
